package org.snowchen.GreatSonServer.databasecore;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import java.sql.Statement;

public class SQLiteInit {

    private static final String JDBC_DRIVER = "org.sqlite.JDBC";
    private static final String DB_URL = "jdbc:sqlite:test.db";
    //初始化数据库
    public static void main(String[] args) {
        try (Connection c = DriverManager.getConnection(DB_URL)) {
            // 加载驱动程序
            Class.forName(JDBC_DRIVER);

            // 创建main表
            String sqlMainTable = "CREATE TABLE IF NOT EXISTS main (" +
                    "id INTEGER PRIMARY KEY AUTOINCREMENT, " +
                    "data TEXT" +
                    ")";
            try (Statement statement = c.createStatement()) {
                statement.execute(sqlMainTable);
                System.out.println("main表创建成功");
            }

            // 创建user_data表
            String sqlUserDataTable = "CREATE TABLE IF NOT EXISTS user_data (" +
                    "id INTEGER PRIMARY KEY AUTOINCREMENT, " +
                    "user_name TEXT NOT NULL, " +
                    "user_password TEXT NOT NULL, " +
                    "user_uuid TEXT NOT NULL, " +
                    "user_permission_level INTEGER NOT NULL" + // 修改为 INTEGER
                    ")";
            try (Statement statement = c.createStatement()) {
                statement.execute(sqlUserDataTable);
                System.out.println("user_data表创建成功");
            }

        } catch (ClassNotFoundException e) {
            System.err.println("SQLite JDBC driver not found.");
            e.printStackTrace();
        } catch (SQLException e) {
            System.err.println("Database error: " + e.getMessage());
            e.printStackTrace();
        }
    }
}



